/* Affichage d'un tableau de reels double      */

public class AffichageTableauReel {

/* Fonction de creation et retour              */
/* d'un tableau de double initialisé           */
/* avec une serie croissante                   */
/* de nombres aleatoires                       */
/* n : La taille du tableau à générer          */

  static double [] initRandCroissant(int n) {
    int i;
    double [] tab = new double[n];
    tab[0] = Math.random();
    for ( i = 1 ; i < tab.length ; i = i+1 ) {
      tab[i] = tab[i-1]+Math.random(); }
    return tab;
  }

/////////////////////////////////////////////////
  
/* Fonction d'affichage des valeurs contenues  */
/* dans un tableau de double                   */
/* t : Le tableau de double a afficher         */
/*     entierement                             */
  
  static void affichageTableau(double [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i = i+1 ) {
      Ecran.afficherln(t[i]); }
  }
  
/////////////////////////////////////////////////
  
/* Programme principal                         */

  public static void main(String [] args) {
/* Test de la fonction de creation d'une serie */
/* croissante de nombres aleatoires            */
    affichageTableau(initRandCroissant(10));
  }
}